Provider

Certificate provider used to renew certificates before their expiry.

This tag groups all operations for provider.

Retrieve all Provider

get

This endpoint enables retrieving all Provider using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100Example: 100
Responses
chevron-right
200

Returned all requested Provider successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Provider resources.

Example: 36c38284-7cb0-5d88-8701-636aa547617f
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Provider resources.

Example: /providers
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/providers

Create Provider

post

Creates a new Provider.

The full Provider needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
post
/providers

Retrieve Provider

get

Returns the Provider by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
providerIdstring · uuidRequired

The ID (UUID) of the Provider.

Example: 74edc770-5cc6-5976-ac99-013ddb4af403
Responses
chevron-right
200

Getting Provider was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Provider.

Example: 74edc770-5cc6-5976-ac99-013ddb4af403
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Provider.

Example: /providers/74edc770-5cc6-5976-ac99-013ddb4af403
get
/providers/{providerId}

Delete Provider

delete

Deletes the specified Provider.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
providerIdstring · uuidRequired

The ID (UUID) of the Provider.

Example: 74edc770-5cc6-5976-ac99-013ddb4af403
Responses
delete
/providers/{providerId}

No content

Updates Provider

patch

Changes Provider with the provided ID. Values provides will replace the existing data.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
providerIdstring · uuidRequired

The ID (UUID) of the Provider.

Example: 74edc770-5cc6-5976-ac99-013ddb4af403
Body
metadataanyOptional

Metadata

Responses
chevron-right
200

Provider successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the Provider.

Example: 74edc770-5cc6-5976-ac99-013ddb4af403
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Provider.

Example: /providers/74edc770-5cc6-5976-ac99-013ddb4af403
patch
/providers/{providerId}

Last updated

Was this helpful?